package cn.com.countrygarden.bi.main.service.marketing;

import cn.com.countrygarden.bi.main.model.marketing.Contract;
import cn.com.countrygarden.bi.main.model.marketing.ContractSummary;
import cn.com.countrygarden.bi.main.service.marketing.model.ContractData;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweijiang on 2017/9/21.
 */
public interface ContractService {
    void parseUploadFile(List<ContractData> data, String userCode);

    List<ContractSummary> sumThisYearByCorpType();

    List<ContractSummary> sumThisYearByProjectType();

    List<ContractSummary> tendency();

    List<ContractSummary> ranking(int limit);

    /**
     * 总签约面积占总接管面积的比例
     *
     * @return
     */
    List<Map<String,Object>> contractAreaInTotalTakeoverArea();
}
